import { ConfigInterface, ConfigRecordInterface, ConfigRecordValueType } from './interfaces';
/**
 * Common getter setter for a config.
 */
export declare class Config implements ConfigInterface {
    protected _record: ConfigRecordInterface;
    constructor(config: ConfigRecordInterface);
    getItem(key: string): ConfigRecordValueType;
    setItem(keyName: string, keyValue: ConfigRecordValueType): boolean;
    removeItem(keyName: string): boolean;
    clear(): boolean;
    getConfig(): ConfigRecordInterface;
    setConfig(config: ConfigRecordInterface): ConfigInterface;
    getType(): string;
}
