import { ClientInterface, ConfigInterface, ConfigRecordInterface, CoreInterface, SessionInterface } from './interfaces';
interface ServiceBag {
    client?: ClientInterface;
    session?: SessionInterface;
}
export declare class Core implements CoreInterface {
    service: ServiceBag;
    config: ConfigInterface;
    constructor(config: ConfigRecordInterface);
    setClient(apiClient: ClientInterface): CoreInterface;
    getClient(): ClientInterface;
    setSessionService(session: SessionInterface): CoreInterface;
    getSessionService(): SessionInterface;
}
export {};
