import { Core } from './Core';
import { AxiosRequestHeaders } from 'axios';
import { ConfigRecordInterface, BasicAuthParams } from './interfaces';
export interface DrupalConfig extends ConfigRecordInterface {
    auth?: BasicAuthParams;
    headers?: AxiosRequestHeaders;
    baseURL: string;
}
/**
 * Drupal.
 */
export declare class Drupal extends Core {
    constructor(config: DrupalConfig);
    initialize(options: DrupalConfig): Drupal;
}
