import { StorageInterface, StorageValueType } from './storage';
export declare type ConfigRecordValueType = StorageValueType;
export interface ConfigRecordInterface {
    [id: string]: ConfigRecordValueType;
}
export interface ConfigInterface extends StorageInterface {
    getType(): string;
    getConfig(): ConfigRecordInterface;
    setConfig(config: ConfigRecordInterface): ConfigInterface;
}
